<?php
//Set Access-Control-Allow-Origin with PHP
// header('Access-Control-Allow-Origin: http://site-a.com', false);
namespace App\Components\Payment;

class PaymentProcess {

    /**
     * @var paytmService - Paytm Service
     */
    protected $paytmService;

    /**
     * @var instamojoService - Instamojo Service
     */
    protected $instamojoService;

    /**
     * @var iyzicoService - Iyzico Service
     */
    protected $iyzicoService;

    /**
     * @var paypalService - Paypal Service
     */
    protected $paypalService;

    /**
     * @var paystackService - Paypal Service
     */
    protected $paystackService;
    
    /**
     * @var razorpayService - Paypal Service
     */
    protected $razorpayService;

    /**
     * @var stripeService - Paypal Service
     */
    protected $stripeService;

    /**
     * @var stripeService - Paypal Service
     */
    protected $authorizeNetService;

    /**
     * @var stripeService - Paypal Service
     */
    protected $bitPayService;

    /**
     * @var CoinBaseService
     */
    protected $coinBaseService;

    /**
     * @var VietcombankService
     */
    protected $vcbService;

    /**
     * @var PerfectMoneyService
     */
    protected $perfectMoneyService;

    /**
     * @var WebMoneyService
     */
    protected $webMoneyService;

    /**
     * @param $paytmService
     * @param $instamojoService
     * @param $iyzicoService
     * @param $paypalService
     * @param $paystackService
     * @param $razorpayService
     * @param $stripeService
     * @param $authorizeNetService
     * @param $bitPayService
     * @param $coinBaseService
     * @param $vcbService
     * @param $perfectMoneyService
     * @param $webMoneyService
     */
    function __construct(
        $paytmService,
        $instamojoService,
        $iyzicoService,
        $paypalService,
        $paystackService,
        $razorpayService,
        $stripeService,
        $authorizeNetService,
        $bitPayService,
        $coinBaseService,
        $vcbService,
        $perfectMoneyService,
        $webMoneyService
    ) {
        $this->paytmService = $paytmService;
        $this->instamojoService = $instamojoService;
        $this->iyzicoService = $iyzicoService;
        $this->paypalService = $paypalService;
        $this->paystackService = $paystackService;
        $this->razorpayService = $razorpayService;
        $this->stripeService = $stripeService;
        $this->authorizeNetService = $authorizeNetService;
        $this->bitPayService = $bitPayService;
        $this->coinBaseService = $coinBaseService;
        $this->vcbService = $vcbService;
        $this->perfectMoneyService = $perfectMoneyService;
        $this->webMoneyService = $webMoneyService;
    }

    public function getPaymentData($request)
    { 
        $processResponse = [];
        switch ($request['paymentOption']) {
            case 'paytm':
                //get paytm request data
                $processResponse = $this->paytmService->handlePaytmRequest($request);
                return $processResponse;

            case 'instamojo':
                //get instamojo request data
                $processResponse = $this->instamojoService->processInstamojoRequest($request);
                return $processResponse;

            case 'iyzico':
                //get iyzico request data
                $processResponse = $this->iyzicoService->processIyzicoRequest($request);
                return $processResponse;

            case 'paypal':
                //get paypal request data
                $processResponse = $this->paypalService->processPaypalRequest($request);
                return $processResponse;

            case 'stripe':
                // Get Stripe request Data
                $processResponse = $this->stripeService->processStripeRequest($request);
                return $processResponse;

            case 'paystack':
                // Get Stripe request Data
                $processResponse = $this->paystackService->processPaystackRequest($request);
                return $processResponse;

            case 'razorpay':
                // Get Stripe request Data
                $processResponse = $this->razorpayService->processRazorpayRequest($request);
                return $processResponse;

            case 'authorize-net':
                $processResponse = $this->authorizeNetService->processAuthorizeNetRequest($request);
                return $processResponse;

            case 'bitpay':
                $processResponse = $this->bitPayService->processBitPayRequest($request);
                return $processResponse;

            case 'coinbase':
                $processResponse = $this->coinBaseService->processCoinBaseRequest($request);
                return $processResponse;

            case 'vcb':
                $processResponse = $this->vcbService->processVietcombankRequest($request);
                return $processResponse;

            case 'perfectmoney':
                $processResponse = $this->perfectMoneyService->processPerfectMoneyRequest($request);
                return $processResponse;
            case 'webmoney':
                $processResponse = $this->webMoneyService->processWebMoneyRequest($request);
                return $processResponse;
        }
    }
}