<?php
namespace App\Service;

use Exception;

/**
 * This MailService class for manage globally -
 * mail service in application.
 *---------------------------------------------------------------- */
class PerfectMoneyService
{
    const CURRENCY = 'USD';
    /**
     * @var configData - configData
     */
    protected $configData;

    /**
     * @var configItem - configItem
     */
    protected $configItem;

    protected $db;

    /**
     * Constructor.
     *
     *-----------------------------------------------------------------------*/
    public function __construct(
        $db
    ) {
        $this->configData = configItem();
        $this->db = $db;
    }


    /**
     * @param $request
     * @return array
     */
    public function processPerfectMoneyRequest($request)
    {
        $configItem = [];

        if (isset($this->configData)) {
            $configItem = $this->configData['payments']['gateway_configuration']['perfectmoney'];
        }
        try {
            $html = '<form action="https://perfectmoney.com/api/step1.asp" method="POST" style="text-align: center;margin-top: 10px;">';
            $html .= '<input type="hidden" name="PAYEE_ACCOUNT" value="'.$configItem['payee_account'].'">';
            $html .= '<input type="hidden" name="PAYEE_NAME" value="'.$configItem['payee_name'].'">';
            $html .= '<input type="hidden" name="PAYMENT_ID" value="'.$request['order_id'].'">';
            $html .= '<input type="hidden" name="PAYMENT_AMOUNT" value="'.$request['amounts'][self::CURRENCY].'">';
            $html .= '<input type="hidden" name="PAYMENT_UNITS" value="'.self::CURRENCY.'">';
            $html .= '<input type="hidden" name="STATUS_URL" value="">';
            $html .= '<input type="hidden" name="PAYMENT_URL" value="'.$this->configData['base_url'].'perfectmoney-payment-response">';
            $html .= '<input type="hidden" name="PAYMENT_URL_METHOD" value="POST">';
            $html .= '<input type="hidden" name="NOPAYMENT_URL" value="'.$this->configData['base_url'].'perfectmoney-payment-response">';
            $html .= '<input type="hidden" name="NOPAYMENT_URL_METHOD" value="POST">';
            $html .= '<input type="hidden" name="SUGGESTED_MEMO" value="">';
            $html .= '<input type="hidden" name="BAGGAGE_FIELDS" value="">';
            $html .= '<input type="submit" id="moneyservices-submit" style="display: none;" name="PAYMENT_METHOD" value="Pay Now!">';
            $html .= '</form>';
            return [
                'html' => $html
            ];

        } catch (Exception $e) {
            //if payment failed set failed message
            $errorMessage['message'] = 'failed';

            //set error message if payment failed
            $errorMessage['errorMessage'] = $e->getMessage();

            //return error message array
            return (array)$errorMessage;
        }
    }
}