<?php
namespace App\Service;

use Exception;

/**
 * This MailService class for manage globally -
 * mail service in application.
 *---------------------------------------------------------------- */
class VietcombankService
{
    const CURRENCY = 'USD';
    /**
     * @var configData - configData
     */
    protected $configData;

    /**
     * @var configItem - configItem
     */
    protected $configItem;

    protected $db;

    /**
     * Constructor.
     *
     *-----------------------------------------------------------------------*/
    public function __construct(
        $db
    ) {
        $this->configData = configItem();
        $this->db = $db;
    }


    /**
     * @param $request
     * @return array
     */
    public function processVietcombankRequest($request)
    {
        $configItem = [];

        if (isset($this->configData)) {
            $configItem = $this->configData['payments']['gateway_configuration']['vcb'];
        }
        try {
            $accountNumber = $configItem['account_number'] ?? '';
            $accountName = $configItem['account_name'] ?? '';
            $amount = $request['amounts'][self::CURRENCY];
            $this->saveVcbTransatcions($this->db, $request['order_id'], (float)$this->getExchangeRate(self::CURRENCY), (float)$amount * (float)$this->getExchangeRate(self::CURRENCY));
            return [
                'account_number' => $accountNumber,
                'account_name' => $accountName,
                'amount' => (float)$amount * (float)$this->getExchangeRate(self::CURRENCY),
                'order_key' => $request['order_id']
            ];

        } catch (Exception $e) {
            //if payment failed set failed message
            $errorMessage['message'] = 'failed';
            //set error message if payment failed
            $errorMessage['errorMessage'] = $e->getMessage();
            //return error message array
            return (array)$errorMessage;
        }
    }

    /**
     * @param $db
     * @param $orderKey
     * @param $rate
     * @param $amount
     * @return bool
     */
    public function saveVcbTransatcions($db, $orderKey, $rate, $amount)
    {
        $query = "INSERT INTO `i_vcb_transactions` (`order_key`, `rate`, `amount`) VALUES ('" . $orderKey . "', '" . $rate . "', '" . $amount . "');";
        mysqli_query($db, $query) or die(mysqli_error($db));
        return true;
    }

    public function getExchangeRate($currency)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'https://portal.vietcombank.com.vn/Usercontrols/TVPortal.TyGia/pXML.aspx?b=1');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');

        $headers = array();
        $headers[] = 'Accept: application/xml';
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

        $result = curl_exec($ch);
        if (curl_errno($ch)) {
            echo 'Error:' . curl_error($ch);
        }
        curl_close($ch);

        $xml = simplexml_load_string($result);
        if ($xml !== false) {
            foreach ($xml->Exrate as $item) {
                if ((string)$item['CurrencyCode'] === $currency) {
                    return (float)str_replace(',', '', (string)$item['Transfer']);
                }
            }
        }
        return false;
    }
}