<?php
namespace App\Service;

use Exception;

/**
 * This MailService class for manage globally -
 * mail service in application.
 *---------------------------------------------------------------- */
class WebMoneyService
{
    const CURRENCY = 'USD';
    /**
     * @var configData - configData
     */
    protected $configData;

    /**
     * @var configItem - configItem
     */
    protected $configItem;

    protected $db;

    /**
     * Constructor.
     *
     *-----------------------------------------------------------------------*/
    public function __construct(
        $db
    ) {
        $this->configData = configItem();
        $this->db = $db;
    }


    /**
     * @param $request
     * @return array
     */
    public function processWebMoneyRequest($request)
    {
        $configItem = [];

        if (isset($this->configData)) {
            $configItem = $this->configData['payments']['gateway_configuration']['webmoney'];
        }
        try {
            $html = '<form action="https://merchant.wmtransfer.com/lmi/payment_utf.asp" method="POST" style="text-align: center;margin-top: 10px;">';
            $html .= '<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$request['amounts'][self::CURRENCY] * (float)$configItem['exchange_rate'].'">';
            $html .= '<input type="hidden" name="LMI_PAYMENT_DESC" value="payment under the bill">';
            $html .= '<input type="hidden" name="LMI_PAYMENT_NO" value="'.$request['order_id'].'">';
            $html .= '<input type="hidden" name="LMI_PAYEE_PURSE" value="'.$configItem['payee_purse'].'">';
            $html .= '<input type="hidden" name="LMI_SIM_MODE" value="0">';
            $html .= '<input type="hidden" name="LMI_RESULT_URL" value="'.$this->configData['base_url'].'webmoney-payment-response">';
            $html .= '<input type="hidden" name="LMI_SUCCESS_URL" value="'.$this->configData['base_url'].'webmoney-payment-response">';
            $html .= '<input type="hidden" name="LMI_SUCCESS_METHOD" value="2">';
            $html .= '<input type="hidden" name="LMI_FAIL_URL" value="'.$this->configData['base_url'].'webmoney-payment-response">';
            $html .= '<input type="hidden" name="LMI_FAIL_METHOD" value="2">';
            $html .= '<input type="hidden" name="LMI_FAIL_METHOD" value="2">';
            $html .= '<input type="submit" id="moneyservices-submit" style="display: none;" value="Pay">';
            $html .= '</form>';
            return [
                'html' => $html
            ];

        } catch (Exception $e) {
            //if payment failed set failed message
            $errorMessage['message'] = 'failed';

            //set error message if payment failed
            $errorMessage['errorMessage'] = $e->getMessage();

            //return error message array
            return (array)$errorMessage;
        }
    }
}