<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
    <title><?php echo filter_var($siteTitle, FILTER_SANITIZE_STRING); ?></title>
    <?php
include "layouts/header/meta.php";
include "layouts/header/css.php";
include "layouts/header/javascripts.php";
?>
<?php
if ($agoraStatus == '1') {?>
<link href="<?php echo filter_var($base_url, FILTER_VALIDATE_URL); ?>themes/<?php echo filter_var($currentTheme, FILTER_SANITIZE_STRING); ?>/js/video/video-js.css" rel="stylesheet" />
<!-- If you'd like to support IE8 (for Video.js versions prior to v7) -->
<script src="<?php echo filter_var($base_url, FILTER_VALIDATE_URL); ?>themes/<?php echo filter_var($currentTheme, FILTER_SANITIZE_STRING); ?>/js/video/videojs-ie8.min.js"></script>
<script src="<?php echo filter_var($base_url, FILTER_VALIDATE_URL); ?>themes/<?php echo filter_var($currentTheme, FILTER_SANITIZE_STRING); ?>/js/video/videoa.js"></script>
<?php }?>
<style type="text/css">
  .filtvid {
    width:100%;
    height:100%;
  }
  .player .col {
    width:100%;
    height:100%;
    position:relative;
  }
  .player .col div{
    width:100%;
    height:100%;
    position:relative;
  } 
  .player-name {
    display:none;
  }
  .cola {
    display:none !important;
  }
</style>
</head>
<body>
<?php include "layouts/header/header.php";?>
    <?php
if ($liveType == 'free') {
	include "layouts/live/freeLive.php";
} else {
	include "layouts/live/paidLive.php";
}
?>
<div id="mic-list"></div> 
<script type="text/javascript">

// use tokens for added security
function generateToken() {
  return null; // TODO: add a token generation
}
navigator.getUserMedia = navigator.getUserMedia || navigator.webkitGetUserMedia || navigator.mozGetUserMedia || navigator.msGetUserMedia;
if (!navigator.getUserMedia) {
  alert('Sorry, this browser does not support webRTC.');
}
 
if((navigator.mediaDevices && navigator.mediaDevices.getUserMedia)) { 
  //ready();
}else{
    alert('Sorry, this browser does not support webRTC.');
}
</script> 
<script src="https://download.agora.io/sdk/release/AgoraRTC_N.js"></script>
<script type="text/javascript">
  // create Agora client
var client = AgoraRTC.createClient({mode: "live", codec: "vp8"});
var localTracks = {
    videoTrack: null,
    audioTrack: null
};
var localTrackState = {
  videoTrackMuted: false,
  audioTrackMuted: false
}

var remoteUsers = {};
// Agora client options
var options = {
    appid: null,
    channel: null,
    uid: null,
    token: null,
    role: "audience", // host or audience
    audienceLatency: 2
};
var mics = []; // all microphones devices you can use
var cams = []; // all cameras devices you can use
var currentMic; // the microphone you are using
var currentCam; // the camera you are using

let volumeAnimation;
// the demo can auto join channel with params in url
$(async () => {
  //$("#media-device-test").modal("show");
  $(".cam-list").delegate("a", "click", function(e){
    switchCamera(this.text);
  });
  $(".mic-list").delegate("a", "click", function(e){
    switchMicrophone(this.text);
  });

  //var urlParams = new URL(location.href).searchParams;
  options.appid = '<?php echo $agoraAppID; ?>';
  options.channel = '<?php echo $liveChannel; ?>';
  //options.token = urlParams.get("token");
  //options.uid = urlParams.get("uid");
  await mediaDeviceTest();
  //volumeAnimation = requestAnimationFrame(setVolumeWave);
})

// the demo can auto join channel with params in url 
$(() => {
    //var urlParams = new URL(location.href).searchParams;
    options.appid = '<?php echo $agoraAppID; ?>';
    options.channel = '<?php echo $liveChannel; ?>';
    //options.token = urlParams.get("token");
    //options.uid = urlParams.get("uid");
    if (options.appid && options.channel) {
        $("#uid").val(options.uid);
        $("#appid").val('<?php echo $agoraAppID; ?>');
        $("#token").val(options.token);
        $("#channel").val('<?php echo $liveChannel; ?>');
        JoinForm();
    } 
}) 
<?php if ($liveCreator == $userID) {?>
async function jRole() {
    options.role = "host"
}
<?php }else{?>
  async function jRole() {
    options.role = "audience"
  }
<?php }?>

async function JoinForm(){
    try {
        options.appid = '<?php echo $agoraAppID; ?>';
        options.token = $("#token").val();
        //options.token = '';
        options.channel = '<?php echo $liveChannel; ?>';
        //options.uid = Number($("#uid").val());
        options.uid = '';
        await jRole();
        await join();
        if (options.role === "host") { 
            $("#success-alert a").attr("href", `index.html?appid=${options.appid}&channel=${options.channel}&token=${options.token}`); 
            if (options.token) {
                $("#success-alert-with-token").css("display", "block");
            } else {
                $("#success-alert a").attr("href", `index.html?appid=${options.appid}&channel=${options.channel}&token=${options.token}`);
                $("#success-alert").css("display", "block");
            }
        } 
    } catch (error) { 
        console.error('HATA:'+error);
    } finally {
        $("#leave").attr("disabled", false);
    }
}


$("#leave").click(function (e) {
    leave();
})

$("#mute-audio").click(function (e) {
  if (!localTrackState.audioTrackMuted) {
    muteAudio();
  } else {
    unmuteAudio();
  }
});

$("#mute-video").click(function (e) {
  if (!localTrackState.videoTrackMuted) {
    muteVideo();
  } else {
    unmuteVideo();
  }
})

async function join() {
    // create Agora client

    if (options.role === "audience") {
        client.setClientRole(options.role, {level: options.audienceLatency});
        // add event listener to play remote tracks when remote user publishs.
        client.on("user-published", handleUserPublished);
        client.on("user-unpublished", handleUserUnpublished);
    }
    else{
        client.setClientRole(options.role);
    }

    // join the channel
    options.uid = await client.join(options.appid, options.channel, options.token || null, options.uid || null);

    if (options.role === "host") {
        // create local audio and video tracks
        localTracks.audioTrack = await AgoraRTC.createMicrophoneAudioTrack();
        localTracks.videoTrack = await AgoraRTC.createCameraVideoTrack();
        // play local video track
        localTracks.videoTrack.play("local-player");
        $("#local-player-name").text(`localTrack(${options.uid})`);
        // publish local tracks to channel
        await client.publish(Object.values(localTracks));
        console.log("publish success");
    }
    if (!localTracks.audioTrack || !localTracks.videoTrack) {
      [ localTracks.audioTrack, localTracks.videoTrack ] = await Promise.all([
        // create local tracks, using microphone and camera
        AgoraRTC.createMicrophoneAudioTrack({ microphoneId: currentMic.deviceId }),
        AgoraRTC.createCameraVideoTrack({ cameraId: currentCam.deviceId })
      ]);
    }
}
async function mediaDeviceTest() {
  // create local tracks
  [ localTracks.audioTrack, localTracks.videoTrack ] = await Promise.all([
    // create local tracks, using microphone and camera
    AgoraRTC.createMicrophoneAudioTrack(),
    AgoraRTC.createCameraVideoTrack()
  ]);

  // play local track on device detect dialog
  //localTracks.videoTrack.play("pre-local-player");
  // localTracks.audioTrack.play();

  // get mics
  mics = await AgoraRTC.getMicrophones();
  currentMic = mics[0];
  //$(".mic-input").val(currentMic.label);
  mics.forEach(mic => {
    $(".mic-list").append(`<a class="dropdown-item" href="#">${mic.label}</a>`);
  });

  // get cameras
  cams = await AgoraRTC.getCameras();
  currentCam = cams[0];
  //$(".cam-input").val(currentCam.label);
  cams.forEach(cam => {
    $(".cam-list").append(`<a class="dropdown-item" href="#">${cam.label}</a>`);
  });
}

async function leave() {
    for (trackName in localTracks) {
        var track = localTracks[trackName];
        if (track) {
            track.stop();
            track.close();
            localTracks[trackName] = undefined;
        }
    }

    // remove remote users and player views
    remoteUsers = {};
    $("#remote-playerlist").html("");

    // leave the channel
    await client.leave();

    $("#local-player-name").text("");
    $("#host-join").attr("disabled", false);
    $("#audience-join").attr("disabled", false);
    $("#leave").attr("disabled", true);
    console.log("client leaves channel success");
}

async function subscribe(user, mediaType) {
    const uid = user.uid;
    // subscribe to a remote user
    await client.subscribe(user, mediaType);
    console.log("subscribe success");
    if (mediaType === 'video') {
        const player = $(`
      <div id="player-wrapper-${uid}">
        <p class="player-name">remoteUser(${uid})</p>
        <div id="player-${uid}" class="player"></div>
      </div>
    `);
        $("#remote-playerlist").append(player);
        user.videoTrack.play(`player-${uid}`, {fit:"contain"});
    }
    if (mediaType === 'audio') {
        user.audioTrack.play();
    }
}

function handleUserPublished(user, mediaType) {
    const id = user.uid;
    remoteUsers[id] = user;
    subscribe(user, mediaType);
}

function handleUserUnpublished(user, mediaType) {
    if (mediaType === 'video') {
        const id = user.uid;
        delete remoteUsers[id];
        $(`#player-wrapper-${id}`).remove();
    }
}

async function switchCamera(label) {
  currentCam = cams.find(cam => cam.label === label);
  $(".cam-input").val(currentCam.label);
  // switch device of local video track.
  await localTracks.videoTrack.setDevice(currentCam.deviceId);
}

async function switchMicrophone(label) {
  currentMic = mics.find(mic => mic.label === label);
  $(".mic-input").val(currentMic.label);
  // switch device of local audio track.
  await localTracks.audioTrack.setDevice(currentMic.deviceId);
}
async function muteAudio() {
  if (!localTracks.audioTrack) return;
  /**
   * After calling setMuted to mute an audio or video track, the SDK stops sending the audio or video stream. Users whose tracks are muted are not counted as users sending streams.
   * Calling setEnabled to disable a track, the SDK stops audio or video capture
   */
  await localTracks.audioTrack.setMuted(true);
  localTrackState.audioTrackMuted = true;
  $("#mute-audio").text("<?php echo filter_var($LANG['unmute_audio'], FILTER_SANITIZE_STRING);?>");
}

async function muteVideo() {
  if (!localTracks.videoTrack) return;
  await localTracks.videoTrack.setMuted(true);
  localTrackState.videoTrackMuted = true;
  $("#mute-video").text("<?php echo filter_var($LANG['unmute_video'], FILTER_SANITIZE_STRING);?>");
}

async function unmuteAudio() {
  if (!localTracks.audioTrack) return;
  await localTracks.audioTrack.setMuted(false);
  localTrackState.audioTrackMuted = false;
  $("#mute-audio").text("<?php echo filter_var($LANG['mute_audio'], FILTER_SANITIZE_STRING);?>");
}

async function unmuteVideo() {
  if (!localTracks.videoTrack) return;
  await localTracks.videoTrack.setMuted(false);
  localTrackState.videoTrackMuted = false;
  $("#mute-video").text("<?php echo filter_var($LANG['mute_video'], FILTER_SANITIZE_STRING);?>");
}
</script>
<script type="text/javascript">
//RunLiveAgora("<?php echo $liveChannel; ?>","post_live_video");
</script> 
<script type="text/javascript">
$(document).ready(function(){
  $("body").on("click",".camera_chs", function(){
     if(!$(".camListOpen")[0]){
        $(".camList").addClass("camListOpen");
     }else{
        $(".camList").removeClass("camListOpen");
     }
  });
  $("body").on("click",".mick_chs", function(){
     if(!$(".camListOpen")[0]){
        $(".micList").addClass("camListOpen");
     }else{
        $(".micList").removeClass("camListOpen");
     }
  });
  $("body").on("mouseup touchend", function(e) {
        /*e.preventDefault();*/
        var listCont = $('.camList , .micList');
        if (!listCont.is(e.target) && listCont.has(e.target).length === 0) {
            $(listCont).removeClass('camListOpen');
        }
    });
});
</script>
</body>
</html>